## orocos-bfl 0.8.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.2)

# project version
# ---------------
PROJECT(orocos-bfl)
SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "8")
SET(VERSION_PATCH "0")
SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
MARK_AS_ADVANCED(VERSION)
MESSAGE( "Orocos BFL version ${VERSION}" )
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH)
MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH)
MARK_AS_ADVANCED(CMAKE_BACKWARDS_COMPATIBILITY)


# Make compilation not verbose by default
# ---------------------------------------
SET(CMAKE_VERBOSE_MAKEFILE FALSE)


# project dirs
# ------------
IF(NOT CMAKE_INSTALL_PREFIX)
  SET( CMAKE_INSTALL_PREFIX /usr/local/ CACHE PATH "Installation directory" FORCE)
  MESSAGE( "Setting installation directory to ${CMAKE_INSTALL_PREFIX}" )
ENDIF(NOT CMAKE_INSTALL_PREFIX)
SET( PROJ_SOURCE_DIR ${orocos-bfl_SOURCE_DIR} )
SET( PROJ_BINARY_DIR ${orocos-bfl_BINARY_DIR} )


# win 32 options
# --------------
IF (WIN32)
  ADD_DEFINITIONS( /D_SCL_SECURE_NO_DEPRECATE)
ENDIF (WIN32)


# Set the build type (affects debugging symbols and optimization)
# ---------------------------------------------------------------
IF ( NOT CMAKE_BUILD_TYPE )
  SET( CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build type: None, Release, Debug, RelWithDebInfo, MinSizeRel." FORCE )
  MARK_AS_ADVANCED(FORCE CMAKE_C_FLAGS_BFL CMAKE_CXX_FLAGS_BFL)
ENDIF ( NOT CMAKE_BUILD_TYPE )
MESSAGE( "Build type set to '${CMAKE_BUILD_TYPE}'" )


# MESSAGE("Looking for compiler:")
# --------------------------------
INCLUDE (${CMAKE_ROOT}/Modules/CMakeDetermineCXXCompiler.cmake)
INCLUDE( ${PROJ_SOURCE_DIR}/config/DependentOption.cmake )


# Shared or static library
# ------------------------
IF (NOT LIBRARY_TYPE)
  SET( LIBRARY_TYPE shared CACHE STRING "What type of library to build: (shared, static or both)")
ENDIF (NOT LIBRARY_TYPE)


# find libs 
# ----------
INCLUDE (${PROJ_SOURCE_DIR}/config/check_depend.cmake)
INCLUDE (${PROJ_SOURCE_DIR}/config/bfl_macros.cmake)
INCLUDE (${PROJ_SOURCE_DIR}/config/FindMATRIX.cmake)
INCLUDE (${PROJ_SOURCE_DIR}/config/FindRNG.cmake)
INCLUDE (${PROJ_SOURCE_DIR}/config/FindGINAC.cmake)
INCLUDE (${PROJ_SOURCE_DIR}/config/FindCppUnit.cmake)


# options to build tests and examples
# -----------------------------------
DEPENDENT_OPTION( BUILD_TESTS "Turn me off to disable the BFL functionality testing" ON "CPPUNIT_FOUND" OFF)
OPTION( BUILD_EXAMPLES "Turn me off to disable the compilation of the BFL examples" ON )

# options to build rtt bindings
# -----------------------------------
OPTION( OROCOS_PLUGIN "Build Orocos-plugin?" OFF)
IF( OROCOS_PLUGIN )
  SET( RTT_VVERSION "v1.4.x" )
  IF(NOT OROCOS_INSTALL)
    SET( OROCOS_INSTALL /usr CACHE PATH "The RTT installation directory.")
  ENDIF(NOT OROCOS_INSTALL)
  INCLUDE (${PROJ_SOURCE_DIR}/config/FindOrocosRTT.cmake)
  IF (OROCOS_RTT_1.4)
    SET( CMAKE_C_FLAGS_RTT "-O2 -DNDEBUG ${OROCOS_RTT_DEFINES}")
    SET( CMAKE_CXX_FLAGS_RTT "-O2 -DNDEBUG ${OROCOS_RTT_DEFINES}")
    MESSAGE( "CMAKE_CXX_FLAGS_RTT are : ${CMAKE_CXX_FLAGS_RTT}" )
  ENDIF (OROCOS_RTT_1.4)
ENDIF( OROCOS_PLUGIN )

INCLUDE (${PROJ_SOURCE_DIR}/config/DependentOption.cmake)

# Uninstall target
# ----------------
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/config/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# add subfolders
# --------------
SET(ENV{SELECTED_LIBS} "")
SET(ENV{SELECTED_DIRS} "")
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( tests )
ADD_SUBDIRECTORY( examples )


# .pc file
# --------
CONFIGURE_FILE( orocos-bfl.pc.in orocos-bfl.pc @ONLY)
INSTALL_FILES( /lib/pkgconfig FILES orocos-bfl.pc)


# Building Doxygen documents
# --------------------------
CONFIGURE_FILE(revision.in revision @ONLY)
EXECUTE_PROCESS(COMMAND ./revision OUTPUT_VARIABLE SVN_REVISION)
MESSAGE("SVN REVISION ${SVN_REVISION}")
CONFIGURE_FILE(Doxyfile.in Doxyfile @ONLY)
ADD_CUSTOM_TARGET(docs "doxygen" "Doxyfile")

=== examples/CMakeLists.txt ===
ADD_SUBDIRECTORY( compare_filters )
ADD_SUBDIRECTORY( linear_kalman )
ADD_SUBDIRECTORY( nonlinear_kalman )
ADD_SUBDIRECTORY( nonlinear_particle )
ADD_SUBDIRECTORY( smoother )
ADD_SUBDIRECTORY( discrete_filter )

=== src/CMakeLists.txt ===
SET (ENV{GLOBAL_LIBRARY_SRCS} "")
SET (ENV{GLOBAL_INCLUDE_DIRS} "")

GLOBAL_ADD_INCLUDE( bfl/ bfl_constants.h bfl_err.h)

ADD_SUBDIRECTORY( wrappers )
ADD_SUBDIRECTORY( sample )
ADD_SUBDIRECTORY( pdf )
ADD_SUBDIRECTORY( model )
ADD_SUBDIRECTORY( filter )
ADD_SUBDIRECTORY( smoother )

IF( OROCOS_PLUGIN )
  ADD_SUBDIRECTORY( bindings/rtt )
ENDIF( OROCOS_PLUGIN )

# examples will be linked with orocos-bfl, so when building both static and shared, examples will link with shared
IF (LIBRARY_TYPE STREQUAL "shared")
  ADD_LIBRARY(orocos-bfl SHARED $ENV{GLOBAL_LIBRARY_SRCS})
  SET_TARGET_PROPERTIES(orocos-bfl PROPERTIES OUTPUT_NAME orocos-bfl)
  INSTALL_TARGETS( /lib orocos-bfl)       
ELSE (LIBRARY_TYPE STREQUAL "shared")

IF (LIBRARY_TYPE STREQUAL "static")
  ADD_LIBRARY(orocos-bfl STATIC $ENV{GLOBAL_LIBRARY_SRCS})
  SET_TARGET_PROPERTIES(orocos-bfl PROPERTIES OUTPUT_NAME orocos-bfl)
  INSTALL_TARGETS( /lib orocos-bfl)       
ELSE (LIBRARY_TYPE STREQUAL "static")

IF (LIBRARY_TYPE STREQUAL "both")
  ADD_LIBRARY(orocos-bfl SHARED $ENV{GLOBAL_LIBRARY_SRCS})
  SET_TARGET_PROPERTIES(orocos-bfl PROPERTIES OUTPUT_NAME orocos-bfl)
  SET_TARGET_PROPERTIES(orocos-bfl PROPERTIES CLEAN_DIRECT_OUTPUT 1)  
  INSTALL_TARGETS( /lib orocos-bfl)       

  ADD_LIBRARY(orocos-bfl-static STATIC $ENV{GLOBAL_LIBRARY_SRCS})
  SET_TARGET_PROPERTIES(orocos-bfl-static PROPERTIES OUTPUT_NAME orocos-bfl)
  SET_TARGET_PROPERTIES(orocos-bfl-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)  
  INSTALL_TARGETS( /lib orocos-bfl-static)       
ELSE (LIBRARY_TYPE STREQUAL "both")

  MESSAGE( FATAL_ERROR "Library type ${LIBRARY_TYPE} not supported. Choose shared, static or both")

ENDIF (LIBRARY_TYPE STREQUAL "both")
ENDIF (LIBRARY_TYPE STREQUAL "static")
ENDIF (LIBRARY_TYPE STREQUAL "shared")

INCLUDE_DIRECTORIES( $ENV{GLOBAL_INCLUDE_DIRS} )

=== tests/CMakeLists.txt ===
IF (BUILD_TESTS)

  ENABLE_TESTING()

  INCLUDE_DIRECTORIES( ${PROJ_SOURCE_DIR}/src ${PROJ_BINARY_DIR}/src/wrappers/matrix ${MATRIX_INCLUDE} ${RNG_INCLUDE} ${CPPUNIT_INCLUDE})
  LINK_DIRECTORIES( ${PROJ_BINARY_DIR}/src )
  ADD_DEFINITIONS("-g")

  ADD_EXECUTABLE( test_ekf ${DO_EXCLUDE} test-runner.cpp approxEqual.cpp ekf_test.cpp  ekf_test.hpp )
  TARGET_LINK_LIBRARIES( test_ekf orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS} ${GINAC_LIBS} ${CPPUNIT_LIBS} )
  ADD_TEST( test_ekf test_ekf )

  ADD_EXECUTABLE( test_pdf ${DO_EXCLUDE} test-runner.cpp approxEqual.cpp pdf_test.cpp  pdf_test.hpp )
  TARGET_LINK_LIBRARIES( test_pdf orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS} ${GINAC_LIBS} ${CPPUNIT_LIBS} )
  ADD_TEST( test_pdf test_pdf )

  ADD_EXECUTABLE( test_sample ${DO_EXCLUDE} test-runner.cpp  approxEqual.cpp sample_test.cpp sample_test.hpp)
  TARGET_LINK_LIBRARIES( test_sample orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS} ${GINAC_LIBS} ${CPPUNIT_LIBS} )
  ADD_TEST( test_sample test_sample )

  ADD_EXECUTABLE( test_matrixwrapper ${DO_EXCLUDE} test-runner.cpp  approxEqual.cpp matrixwrapper_test.cpp matrixwrapper_test.hpp)
  TARGET_LINK_LIBRARIES( test_matrixwrapper orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS} ${GINAC_LIBS} ${CPPUNIT_LIBS} )
  ADD_TEST( test_matrixwrapper test_matrixwrapper )

  ADD_EXECUTABLE( test_model ${DO_EXCLUDE} test-runner.cpp approxEqual.cpp model_test.cpp model_test.hpp)
  TARGET_LINK_LIBRARIES( test_model orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS} ${GINAC_LIBS} ${CPPUNIT_LIBS} )
  ADD_TEST( test_model test_model )

  ADD_EXECUTABLE( test_smoother ${DO_EXCLUDE} test-runner.cpp approxEqual.cpp smoother_test.cpp smoother_test.hpp
                  ${PROJ_SOURCE_DIR}/examples/mobile_robot.cpp ${PROJ_SOURCE_DIR}/examples/compare_filters/nonlinearanalyticconditionalgaussianmobile.cpp)
  TARGET_LINK_LIBRARIES( test_smoother orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS} ${GINAC_LIBS} ${CPPUNIT_LIBS} )
  ADD_TEST( test_smoother test_smoother )

  ADD_EXECUTABLE( test_complete_filter ${DO_EXCLUDE} test-runner.cpp approxEqual.cpp complete_filter_test.cpp complete_filter_test.hpp
                  ${PROJ_SOURCE_DIR}/examples/mobile_robot.cpp ${PROJ_SOURCE_DIR}/examples/compare_filters/nonlinearanalyticconditionalgaussianmobile.cpp
                  ${PROJ_SOURCE_DIR}/examples/discrete_filter/conditionalUniformMeasPdf1d.cpp )
  TARGET_LINK_LIBRARIES( test_complete_filter orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS} ${GINAC_LIBS} ${CPPUNIT_LIBS} )
  ADD_TEST( test_complete_filter test_complete_filter )

IF (GINAC_SUPPORT)
  ADD_EXECUTABLE( test_model_ginac ${DO_EXCLUDE} test-runner.cpp approxEqual.cpp model_test_ginac.cpp model_test_ginac.hpp)
  TARGET_LINK_LIBRARIES( test_model_ginac orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS} ${GINAC_LIBS} ${CPPUNIT_LIBS} )
  ADD_TEST( test_model_ginac test_model_ginac )
ENDIF (GINAC_SUPPORT)




  ADD_CUSTOM_TARGET(check ctest -V 
                    DEPENDS test_ekf test_pdf test_sample test_matrixwrapper test_model test_smoother test_complete_filter
                    WORKING_DIRECTORY ${PROJ_BINARY_DIR}/tests)

IF (GINAC_SUPPORT)
  ADD_CUSTOM_TARGET(check ctest -V 
                    DEPENDS test_model_ginac
                    WORKING_DIRECTORY ${PROJ_BINARY_DIR}/tests)
ENDIF (GINAC_SUPPORT)



ENDIF (BUILD_TESTS)

=== examples/compare_filters/CMakeLists.txt ===
IF (BUILD_EXAMPLES)
  ADD_EXECUTABLE( test_compare_filters test_compare_filters.cpp nonlinearanalyticconditionalgaussianmobile.cpp ../mobile_robot.cpp )

  TARGET_LINK_LIBRARIES( test_compare_filters orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS}  ${GINAC_LIBS})

  INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src/wrappers/matrix ${CMAKE_SOURCE_DIR}/src ${RNG_INCLUDE} ${MATRIX_INCLUDE})

  INSTALL(TARGETS test_compare_filters 
          DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/bfl 
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

ENDIF (BUILD_EXAMPLES)

=== examples/discrete_filter/CMakeLists.txt ===
IF (BUILD_EXAMPLES)
  ADD_EXECUTABLE( test_discrete_filter test_discrete_filter.cpp conditionalUniformMeasPdf1d.cpp ../mobile_robot.cpp ../nonlinearanalyticconditionalgaussianmobile.cpp) 

  TARGET_LINK_LIBRARIES( test_discrete_filter orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS}  ${GINAC_LIBS})

  INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src/wrappers/matrix ${CMAKE_SOURCE_DIR}/src ${RNG_INCLUDE} ${MATRIX_INCLUDE})

  INSTALL(TARGETS test_discrete_filter
          DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/bfl 
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

ENDIF (BUILD_EXAMPLES)

=== examples/linear_kalman/CMakeLists.txt ===
IF (BUILD_EXAMPLES)
  ADD_EXECUTABLE( test_linear_kalman  test_linear_kalman.cpp ../mobile_robot.cpp
../nonlinearanalyticconditionalgaussianmobile.cpp) 

  TARGET_LINK_LIBRARIES( test_linear_kalman orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS}  ${GINAC_LIBS})

  INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src/wrappers/matrix ${CMAKE_SOURCE_DIR}/src ${RNG_INCLUDE} ${MATRIX_INCLUDE})

  INSTALL(TARGETS test_linear_kalman
          DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/bfl 
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
ENDIF (BUILD_EXAMPLES)

=== examples/nonlinear_kalman/CMakeLists.txt ===
IF (BUILD_EXAMPLES)
  ADD_EXECUTABLE( test_nonlinear_kalman test_nonlinear_kalman.cpp ../nonlinearanalyticconditionalgaussianmobile.cpp ../mobile_robot.cpp ) 

  TARGET_LINK_LIBRARIES( test_nonlinear_kalman orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS}  ${GINAC_LIBS})

  INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src/wrappers/matrix ${CMAKE_SOURCE_DIR}/src ${RNG_INCLUDE} ${MATRIX_INCLUDE})

  INSTALL(TARGETS test_nonlinear_kalman
          DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/bfl 
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

ENDIF (BUILD_EXAMPLES)

=== examples/nonlinear_particle/CMakeLists.txt ===
IF (BUILD_EXAMPLES)
  ADD_EXECUTABLE( test_nonlinear_particle test_nonlinear_particle.cpp nonlinearSystemPdf.cpp nonlinearMeasurementPdf.cpp ../mobile_robot.cpp ../nonlinearanalyticconditionalgaussianmobile.cpp) 

  TARGET_LINK_LIBRARIES( test_nonlinear_particle orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS}  ${GINAC_LIBS})

  INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src/wrappers/matrix ${CMAKE_SOURCE_DIR}/src ${RNG_INCLUDE} ${MATRIX_INCLUDE})

  INSTALL(TARGETS test_nonlinear_particle
          DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/bfl 
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

ENDIF (BUILD_EXAMPLES)

=== examples/smoother/CMakeLists.txt ===
IF (BUILD_EXAMPLES)
  ADD_EXECUTABLE( test_kalman_smoother test_kalman_smoother.cpp ../compare_filters/nonlinearanalyticconditionalgaussianmobile.cpp ../mobile_robot.cpp )

  TARGET_LINK_LIBRARIES( test_kalman_smoother orocos-bfl ${MATRIX_LIBS} ${RNG_LIBS}  ${GINAC_LIBS})

  INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src/wrappers/matrix ${CMAKE_SOURCE_DIR}/src ${RNG_INCLUDE} ${MATRIX_INCLUDE})

  INSTALL(TARGETS test_kalman_smoother 
          DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/bfl 
          PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

ENDIF (BUILD_EXAMPLES)

=== src/filter/CMakeLists.txt ===
GLOBAL_ADD_INCLUDE_DIR( ${CMAKE_SOURCE_DIR}/src/filter )
GLOBAL_ADD_INCLUDE( bfl/filter filter.h filter.cpp  particlefilter.h particlefilter.cpp bootstrapfilter.h bootstrapfilter.cpp
                        asirfilter.h asirfilter.cpp kalmanfilter.h extendedkalmanfilter.h iteratedextendedkalmanfilter.h
                        EKparticlefilter.h SRiteratedextendedkalmanfilter.h innovationCheck.h histogramfilter.h histogramfilter.cpp
                        mixtureParticleFilter.h mixtureParticleFilter.cpp mixtureBootstrapFilter.h mixtureBootstrapFilter.cpp)
GLOBAL_ADD_SRC (filter/iteratedextendedkalmanfilter.cpp filter/kalmanfilter.cpp filter/extendedkalmanfilter.cpp
                filter/EKparticlefilter.cpp filter/SRiteratedextendedkalmanfilter.cpp filter/innovationCheck.cpp )

=== src/model/CMakeLists.txt ===
GLOBAL_ADD_INCLUDE_DIR( ${CMAKE_SOURCE_DIR}/src/model )
GLOBAL_ADD_INCLUDE( bfl/model systemmodel.h systemmodel.cpp measurementmodel.h measurementmodel.cpp analyticsystemmodel_gaussianuncertainty.h 
                              analyticmeasurementmodel_gaussianuncertainty.h linearanalyticmeasurementmodel_gaussianuncertainty.h 
                              linearanalyticsystemmodel_gaussianuncertainty.h discretesystemmodel.h 
                              linearanalyticmeasurementmodel_gaussianuncertainty_implicit.h)
GLOBAL_ADD_SRC (model/analyticmeasurementmodel_gaussianuncertainty.cpp model/analyticsystemmodel_gaussianuncertainty.cpp
                model/linearanalyticsystemmodel_gaussianuncertainty.cpp model/linearanalyticmeasurementmodel_gaussianuncertainty.cpp
                model/discretesystemmodel.cpp model/linearanalyticmeasurementmodel_gaussianuncertainty_implicit.cpp)

IF (GINAC_SUPPORT)
 GLOBAL_ADD_INCLUDE( bfl/model nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.h
                               nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.h)
 GLOBAL_ADD_SRC( model/nonlinearanalyticmeasurementmodel_gaussianuncertainty_ginac.cpp
                 model/nonlinearanalyticsystemmodel_gaussianuncertainty_ginac.cpp)
ENDIF (GINAC_SUPPORT)

=== debian/changelog ===
orocos-bfl (0.8.0-7) unstable; urgency=medium

  * Team upload.
  * bump cmake_minimum_required for CMake 4.0 (closes: #1113369)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 01 Oct 2025 11:34:28 +0200

orocos-bfl (0.8.0-6) unstable; urgency=medium

  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 31 Oct 2021 22:40:04 +0100

orocos-bfl (0.8.0-5) unstable; urgency=medium

  * Add upstream patch for broken test (Closes: #915308)
  * Bump policy version
  * scrap symbols files

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 05 Dec 2018 21:26:30 +0100

orocos-bfl (0.8.0-4) unstable; urgency=medium

  * update symbols file using $(pkgkde-symbolshelper batchpatch -v 0.8.0 *.log)
    and build logs for all architectures acquired via $(getbuildlog orocos-bfl
    0.8.0-3)

 -- Johannes Schauer <josch@debian.org>  Thu, 19 Apr 2018 18:10:10 +0200

orocos-bfl (0.8.0-3) unstable; urgency=medium

  * debian/changelog: break long lines
  * Add patch that fixes testsuite on non-amd64 architectures
  * Start using pkgkde-symbolshelper because the C++ symbols differ between
    architectures

 -- Johannes Schauer <josch@debian.org>  Mon, 02 Apr 2018 14:45:17 +0200

orocos-bfl (0.8.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 (no changes required)
  * debian/copyright: Add more copyright holders
  * Also install pkgconfig in multiarch path to not prevent cross compilation
  * Bump debhelper compat level to 11
  * Add Vcs-Git and Vcs-Browser fields
  * debian/tests/run-tests: bump CMAKE_MINIMUM_REQUIRED to 2.4 because cmake
    doesn't support older versions
  * debian/control: add Recommends:pkg-config for liborocos-bfl-dev
  * debian/tests/run-tests: use content of liborocos-bfl-examples package to
    test and not unpacked source
  * debian/tests/control: do not install @builddeps@ but install cmake and
    build-essential explicitly
  * do not compress example files to prevent mixed compressed and
    non-compressed sources
  * debian/tests/run-tests: Use hidden cmake options -H and -B

 -- Johannes Schauer <josch@debian.org>  Mon, 02 Apr 2018 09:51:35 +0200

orocos-bfl (0.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #878355)

 -- Johannes Schauer <josch@debian.org>  Fri, 13 Oct 2017 10:05:12 +0200

=== debian/control ===
Source: orocos-bfl
Priority: optional
Section: devel
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Johannes Schauer <josch@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libcppunit-dev, libboost-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/orocos-bfl.git
Vcs-Browser: https://salsa.debian.org/science-team/orocos-bfl
Homepage: https://www.orocos.org/bfl

Package: liborocos-bfl0.8
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Orocos Bayesian Filtering Library
 Orocos (http://www.orocos.org) is the acronym of the Open Robot Control
 Software project. The project's aim is to develop a general-purpose, free
 software, and modular framework for robot and machine control.  The Orocos
 project supports 4 C++ libraries: the Real-Time Toolkit, the Kinematics and
 Dynamics Library, the Bayesian Filtering Library (BFL) and the Orocos
 Component Library.
 .
 This package provides the Bayesian Filtering Library.

Package: liborocos-bfl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liborocos-bfl0.8 (= ${binary:Version}), libboost-dev
Recommends: pkg-config
Multi-Arch: same
Description: Orocos Bayesian Filtering Library development files
 Orocos (http://www.orocos.org) is the acronym of the Open Robot Control
 Software project. The project's aim is to develop a general-purpose, free
 software, and modular framework for robot and machine control.  The Orocos
 project supports 4 C++ libraries: the Real-Time Toolkit, the Kinematics and
 Dynamics Library, the Bayesian Filtering Library (BFL) and the Orocos
 Component Library.
 .
 This package provides the headers for developing Orocos-BFL applications.

Package: liborocos-bfl-examples
Section: libs
Architecture: all
Depends: ${misc:Depends}
Recommends: liborocos-bfl-dev
Multi-Arch: foreign
Description: Orocos Bayesian Filtering Library examples
 Orocos (http://www.orocos.org) is the acronym of the Open Robot Control
 Software project. The project's aim is to develop a general-purpose, free
 software, and modular framework for robot and machine control.  The Orocos
 project supports 4 C++ libraries: the Real-Time Toolkit, the Kinematics and
 Dynamics Library, the Bayesian Filtering Library (BFL) and the Orocos
 Component Library.
 .
 This package provides the BFL examples.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXAMPLES=OFF

# do not compress anything in /usr/share/doc/liborocos-bfl-examples/examples
# because otherwise eight source files will be compressed (because they are
# larger than 4K) while 18 will not (because they are smaller), resulting in an
# inconsistent mess
override_dh_compress:
	dh_compress --package=liborocos-bfl-examples --exclude=usr/share/doc/liborocos-bfl-examples/examples
	dh_compress --remaining-packages

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: @, build-essential, cmake, pkg-config

=== debian/watch ===
# Orocos BFL moved to github (see http://www.orocos.org/orocos/bfl-moved-github)
# but there is no release yet that we can test this on
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/orocos/orocos-bayesian-filtering /
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
